org.eclipse.ease.ui.completion

## Class ModuleCompletionProvider

- java.lang.Object
- - org.eclipse.ease.ui.completion.ModuleCompletionProvider

All Implemented Interfaces:
  ICompletionProvider, IContentProposalProvider

    public abstract class ModuleCompletionProvider
    extends Object
    implements ICompletionProvider

### Constructor Summary

Constructors
Constructor and Description
`ModuleCompletionProvider()`

### Method Summary

Methods
`void` `addCode(String code)` Adds code to the auto completion stack.
`char[]` `getActivationChars()`
`static ICompletionProvider` `getCompletionProvider(EngineDescription engineDescription)`
`IContentProposal[]` `getProposals(String contents, int position)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModuleCompletionProvider

    public ModuleCompletionProvider()

### Method Detail

#### getCompletionProvider

    public static ICompletionProvider getCompletionProvider(EngineDescription engineDescription)

#### getProposals

    public IContentProposal[] getProposals(String contents,
                                  int position)

Specified by:
  `getProposals` in interface `IContentProposalProvider`

#### getActivationChars

    public char[] getActivationChars()

Specified by:
  `getActivationChars` in interface `ICompletionProvider`

#### addCode

    public void addCode(String code)

Description copied from interface: `ICompletionProvider`
Adds code to the auto completion stack. Code can be parsed for variables, modules, etc which might be used for the next content assist request.

Specified by:
  `addCode` in interface `ICompletionProvider`
Parameters:
  `code` - executed code from script engine